/*
        .88b  d88.  .d8b.  d8888b.     d8888b.  .d8b.  d888888b  .d8b.
        88'YbdP`88 d8' `8b 88  `8D     88  `8D d8' `8b `~~88~~' d8' `8b
        88  88  88 88ooo88 88oodD'     88   88 88ooo88    88    88ooo88
        88  88  88 88~~~88 88~~~       88   88 88~~~88    88    88~~~88
        88  88  88 88   88 88          88  .8D 88   88    88    88   88
        YP  YP  YP YP   YP 88          Y8888D' YP   YP    YP    YP   YP


  d88888b db    db d888888b d8888b.  .d8b.   .o88b. d888888b  .d88b.  d8888b.
  88'     `8b  d8' `~~88~~' 88  `8D d8' `8b d8P  Y8 `~~88~~' .8P  Y8. 88  `8D
  88ooooo  `8bd8'     88    88oobY' 88ooo88 8P         88    88    88 88oobY'
  88~~~~~  .dPYb.     88    88`8b   88~~~88 8b         88    88    88 88`8b
  88.     .8P  Y8.    88    88 `88. 88   88 Y8b  d8    88    `8b  d8' 88 `88.
  Y88888P YP    YP    YP    88   YD YP   YP  `Y88P'    YP     `Y88P'  88   YD

  Copyright 2012 David "DarkCampainger" Braun

  Released under the GNU Lesser General Public License:
    <http://www.gnu.org/licenses/lgpl.html>

  Version 1.0 - July 3, 2012

  Please see 'Reference.dm' for the library reference

  ---------------------------------------------------------------------------
    -      -      -      -      -      -      -      -      -      -      -
*/

// The Map Data Extractor (MDE) library is set up so you can
// include and un-include it based on whether or not you want
// to generate the data.

// Make sure to DISABLE the MDE for normal play or distribution, as
// it may create unusual bugs and/or stall startup.

// If the MDE is included, 'MDE_LIBRARY_INCLUDED' will be defined.
// We can use this to conditionally include the configuration
// code for the library only when the library is 'checked'.

// Alternatively, you could leave the library included and change this
// to '#if 1' or '#if 0' to toggle whether or not to generate
// the mapping data.

// Don't forget the #endif!

#ifdef MDE_LIBRARY_INCLUDED

// This is the most-basic way to call the system.
// Without passing any parameters, it will:
//    Search included maps for used types
//    Search project preferences for excluded types
//       (Build > Preferences for [] > "Hide paths from object tree")
//    Save the generated project to the "MDE_Map_Project" directory
var/MapDataExtractor/mde = new/MapDataExtractor()

#endif



#if 0

// Alternatively, you can specify which paths to include/exclude.
// Any paths listed in the 'whitelist' parameter will be included
//    along with their children.
// Any paths listed in the 'blacklist' parameter will be excluded
//    along with their children.
// You can also specify the project name in the third parameter
//    (Do *NOT* set this to an existing folder, as it will be DELETED!)
var/MapDataExtractor/mde = new/MapDataExtractor(whitelist = list(/turf, /obj/Scenery),
                                                blacklist = list(/turf/Special),
                                                projectName = "MDE Demo Map Project")
#endif



#if 0

// You can also use a combination of both by including a null element
//    as the first item in the list.
var/MapDataExtractor/mde = new/MapDataExtractor(whitelist = list(null, /obj/Scenery),
                                                blacklist = list(null, /turf/Special),
                                                projectName = "MDE Awesome Map Project")
#endif



// See 'World.dm' to see the example data the extractor is working from.
// When the demo is run, the project directory will be created with
//   the generated files. (you may have to refresh the file tree)