#if 0
/*
        .88b  d88.  .d8b.  d8888b.     d8888b.  .d8b.  d888888b  .d8b.
        88'YbdP`88 d8' `8b 88  `8D     88  `8D d8' `8b `~~88~~' d8' `8b
        88  88  88 88ooo88 88oodD'     88   88 88ooo88    88    88ooo88
        88  88  88 88~~~88 88~~~       88   88 88~~~88    88    88~~~88
        88  88  88 88   88 88          88  .8D 88   88    88    88   88
        YP  YP  YP YP   YP 88          Y8888D' YP   YP    YP    YP   YP


  d88888b db    db d888888b d8888b.  .d8b.   .o88b. d888888b  .d88b.  d8888b.
  88'     `8b  d8' `~~88~~' 88  `8D d8' `8b d8P  Y8 `~~88~~' .8P  Y8. 88  `8D
  88ooooo  `8bd8'     88    88oobY' 88ooo88 8P         88    88    88 88oobY'
  88~~~~~  .dPYb.     88    88`8b   88~~~88 8b         88    88    88 88`8b
  88.     .8P  Y8.    88    88 `88. 88   88 Y8b  d8    88    `8b  d8' 88 `88.
  Y88888P YP    YP    YP    88   YD YP   YP  `Y88P'    YP     `Y88P'  88   YD

  Copyright 2012 David "DarkCampainger" Braun

  Released under the GNU Lesser General Public License:
    <http://www.gnu.org/licenses/lgpl.html>

  Version 1.0 - July 3, 2012

  Please see 'Demo.dm' for a demo of example usage

  ---------------------------------------------------------------------------
    -      -      -      -      -      -      -      -      -      -      -
*/

////////////////////////
//                    //
// MAP DATA EXTRACTOR //
//     VERSION 1.0    //
//                    //
//         BY         //
//   DARKCAMPAINGER   //
//                    //
//   REFERENCE FILE   //
//                    //
////////////////////////
//
//  > Extract mapping data and generate mapping project
//
         var/MapDataExtractor/mde = new/MapDataExtractor(whitelist, blacklist, projectName)
//
//     > Arguments:
//
//        - whitelist:   List of atom paths to include in generated map data.
//                          (children of the supplied paths ARE also included)
//                       If null, parse included map files for paths.
//                          (children of the located paths are NOT included)
//                       If list passed but first entry is null, parse included
//                          map files for paths and append to end of list.
//
//        - blacklist:   List of atom paths to exclude from generated map data.
//                          (children of the supplied paths ARE also excluded)
//                       If null, parse project preferences for 'HIDDENPATHS' paths.
//                          (children of the located paths ARE also excluded)
//                       If list passed but first entry is null, parse project
//                          preferences for hidden paths and append to end of list.
//
//        - projectName: Text to use as the name for the generated project / directory
//                          (Do *NOT* set to an existing folder, as it will be DELETED!)
//
//     > Action:
//
//          Remove any paths from whitelist that are in blacklist. Extract the visual data
//             for the remaining paths and their parent paths. In the [projectName]
//             directory: generate a DM code file containing the visual data, create a
//             DME environment file, and copy over the existing RSC file.


#endif